All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.commands.dataselectors
Class AdvancedFilterSelectorCommand

    com.sas.commands.dataselectors.AdvancedFilterSelectorCommand

All Implemented Interfaces:
  CommandStatusInterface, CommandSupportedInterface, CancelInterface, ContentsChangedInterface, DataSelectorCommandInterface, DynamicAttributeCommandInterface, PendingCommandInterface, BaseEntityInterface, BaseEntityValueInterface, EntityKeyInterface, com.sas.lang.StringDataInterface, com.sas.PublicClonable, com.sas.util.Command, com.sas.util.SimpleCommand, java.lang.Cloneable, java.rmi.Remote

    public class AdvancedFilterSelectorCommand

implements CommandSupportedInterface, CommandStatusInterface

This class implements the Advanced Filter Selector Command. Ideally, the command class will perform all the modifications to the Selector model. The selector should react to the ContentsChangedEvents fired off after the model changes.

Field Summary
`protected java.util.HashMap` | `actionInfo` The action map
`static java.lang.String` | `ADD_ACTION` pendingAction value when the ADD_ACTION is executed.
`static java.lang.String` | `AND_ACTION` pendingAction value when the AND_ACTION is executed.
`static java.lang.String` | `CANCEL_ACTION` pendingAction value when the CANCEL_ACTION is executed.
`static java.lang.String` | `CLEAR_ACTION` pendingAction value when the CLEAR_ACTION is executed.
`static java.lang.String` | `CLEARALL_ACTION` pendingAction value when the CLEARALL_ACTION is executed.
`static java.lang.String` | `CONDITION_CHANGED` pendingAction value when the condition is changed.
`static java.lang.String` | `DELETE_ACTION` pendingAction value when the DELETE_ACTION is executed.
`static java.lang.String` | `DELETEALL_ACTION` pendingAction value when the DELETEALL_ACTION is executed.
`static java.lang.String` | `DOWN_ACTION` pendingAction value when the DOWN_ACTION is executed.
`static java.lang.String` | `EDIT_ACTION` pendingAction value when the EDIT_ACTION is executed.
`static java.lang.String` | `FILTERITEM_CHANGED` pendingAction value when the filter item changed.
`static java.lang.String` | `GROUP_ACTION` pendingAction value when the GROUP_ACTION is executed.
`static java.lang.String` | `IMPORT_ACTION` pendingAction value when the IMPORT_ACTION is executed.
`static java.lang.String` | `NOT_ACTION` pendingAction value when the NOT_ACTION is executed.
`static java.lang.String` | `OLAPOK_ACTION` pendingAction value when the OLAPOK_ACTION is executed.
`static java.lang.String` | `OR_ACTION` pendingAction value when the OR_ACTION is executed.
`static java.lang.String` | `QUALIFIER_ACTION` pendingAction value when the QUALIFIER_ACTION is executed.
`static java.lang.String` | `QUALIFIER_APPLIED` pendingAction when the qualifier is applied
`static java.lang.String` | `QUALIFIER_CHANGED` pendingAction value when the qualifier changed.
`static java.lang.String` | `QUALIFIER_CHECKED` pendingAction value when the qualifier is activated.
`static java.lang.String` | `RB_KEY` RB key for internationalization
`static java.lang.String` | `RB_KEY2`
`static java.lang.String` | `SELECTED_CONDITION`
`static java.lang.String` | `SET_ACTION` pendingAction value when the SET_ACTION is executed.
`static java.lang.String` | `SPLIT_ACTION` pendingAction value when the SPLIT_ACTION is executed.
`static java.lang.String` | `UP_ACTION` pendingAction value when the UP_ACTION is executed.
`static java.lang.String` | `UPDATE_ACTION` pendingAction value when the UPDATE_ACTION is executed.
`static java.lang.String` | `VALUEPICKER_UPDATE_ACTION` pendingAction value when the VALUEPICKER_UPDATE_ACTION is executed.

Fields inherited from class com.sas.commands.dataselectors.BaseSelectorCommand
`actionClass, CANCEL_MODE, COMMIT_MODE, complete, contentsChanged, eventInfo, eventSource, modal, mode, model, PROCESS_MODE, selector, selectorModel, SHOW_MODE`

Fields inherited from interface com.sas.actionprovider.CommandStatusInterface
`DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED`

Fields inherited from interface com.sas.commands.DynamicAttributeCommandInterface
`COMMAND_NAME_PREFIX`

Constructor Summary
`AdvancedFilterSelectorCommand()` The default constructor for this command.
`AdvancedFilterSelectorCommand(java.lang.String name)` Constructor that accepts a command name.
`AdvancedFilterSelectorCommand(java.lang.String name, java.lang.String actionClass)` Constructor that accepts a command name and an action class type.

Method Summary
`void` | `cancel(java.lang.Object o)` The cancel method resets the model to its original state and hides or destroys the selector visual.
`protected void` | `cleanUp()`
`protected void` | `commit(java.lang.Object o)` The commit method alters the original model to reflect any changes made by the user and hides or destroys the selector visual.
`java.lang.String` | `getAction()` Returns the current action of the selector command.
`java.lang.String` | `getAddFilter()` Returns the ADD_ACTION
`java.lang.String` | `getAndFilter()` Returns the AND_ACTION
`protected java.util.List` | `getCalendar(long type)`
`protected FilterLogicEditableTestNodeInterface` | `getChangableSelectionModel()` Returns a version of the selection model that is modifiable.
`protected FilterLogicEditableTestNodeInterface` | `getChangableSelectionModel(FilterLogicTestNodeInterface node)`
`java.lang.String` | `getClearAllFilter()` Returns the clearAllFilter action value
`java.lang.String` | `getClearFilter()` Returns the clearFilter action value.
`int` | `getCommandStatus(ActionSupportFilter filter)` Returns a int value indicating whether the command is enabled for the given area as specified by the current area information encapsulate in the ActionSupportFilter.
`AdvancedFilterModelInterface` | `getCurrentValidatedModel()`
`java.lang.String` | `getDeleteAllFilters()` Returns the DELETEALL_ACTION
`java.lang.String` | `getDeleteFilter()` Returns the DELETE_ACTION
`java.lang.String` | `getDownFilter()` Returns the DOWN_ACTION
`java.lang.String` | `getEditFilter()` Returns the EDIT_ACTION
`java.lang.String` | `getEndCalendar()` Return the end calendar value
`java.lang.String` | `getFilterDescription()` Gets the current filter description from the selection model.
`java.lang.String` | `getFilterItem()` Returns the filter item
`java.util.Map` | `getFilterItemMap()` Gets the map for the FilterItemInterface instances in the data model.
`java.lang.String` | `getFilterName()` Gets the current filter name from the selection model.
`java.lang.String` | `getFilterOperator()` Returns the filter operator
`java.lang.String` | `getFilterQualifier()` Returns the filter qualifier value
`java.lang.String` | `getFilterValue()` Returns the filter value.
`java.lang.String` | `getFilterValueMax()` Returns the maximum filter value
`java.lang.String` | `getFilterValueMaxText()` Returns the maximum filter value
`java.lang.String` | `getFilterValueMin()` Returns the minimum filter value.
`java.lang.String` | `getFilterValueMinText()` Returns the minimum filter value.
`protected java.lang.Object` | `getFilterValueObject(java.lang.String uniqueId, AdvancedFilterModelInterface afsModel)`
`java.lang.String` | `getFilterValueText()` Returns the filter value for the text entry.
`java.lang.String` | `getFilterValueTyped()` Returns the typed filter value
`java.lang.String` | `getGroupFilter()` Returns the GROUP_ACTION
`protected static java.lang.String` | `getID(java.lang.Object object)`
`java.lang.String` | `getImportFilter()`
`java.lang.String` | `getNotFilter()` Returns the NOT_ACTION
`java.lang.String` | `getOlapOkAction()` Returns the OLAPOK_ACTION
`java.lang.String` | `getOrFilter()` Returns the OR_ACTION
`java.lang.String` | `getPendingAction()`
`java.lang.String[]` | `getQualifiedMeasure()` Returns the qualified measure value used when the model is OLAP
`protected com.sas.swing.dataselectors.editors.QualifiersEditorInterface` | `getQualifierEditor()` Returns the Qualifier Editor
`java.lang.String` | `getQualifierMode()` Returns the OLAPOK_ACTION
`java.lang.String` | `getSelectedCondition()`
`java.lang.String[]` | `getSelectedFilterValues()` Returns the selected filter values
`java.lang.String` | `getSelectedQualifier()` Returns the selected qualifier
`protected FilterLogicTestNodeInterface` | `getSelection()`
`protected FilterLogicTestNodeInterface` | `getSelectionModel()` Returns the selection portion of the selector model if it is valid.
`java.lang.String` | `getSplitFilter()` Returns the OLAPOK_ACTION
`java.lang.String` | `getStartCalendar()` Return the start calendar value
`java.lang.String` | `getTypedFilterValueMax()` Returns the typed maximum filter value.
`java.lang.String` | `getTypedFilterValueMin()` Returns the typed filter minimum value.
`java.lang.String` | `getTypedFilterValues()` Returns the typed filter values
`java.lang.String` | `getUpdateFilter()` Returns the UPDATE_FILTER action.
`java.lang.String` | `getUpFilter()` Returns the UP_ACTION
`AdvancedFilterModelInterface` | `getValidatedModel(boolean updateSelector)`
`java.lang.String` | `getValueEntryType()`
`java.lang.String` | `getValueListItem()` Returns the filter value list
`java.lang.String` | `getValuePickerUpdateAction()` Returns the OLAPOK_ACTION
`java.lang.String` | `getWhereCheckbox()`
`protected boolean` | `isOlap()`
`boolean` | `isSupported(ActionSupportFilter actionFilter)` Returns TRUE if the command is supported given the contents of the support filter.
`protected boolean` | `isSwing()`
`protected void` | `process(java.lang.Object o)` Processes the request object to manipulate the model.
`void` | `setAction(java.lang.String value)` Sets the current action of the selector command.
`void` | `setAddFilter(java.lang.String value)` Sets pendingAction to ADD_ACTION
`void` | `setAndFilter(java.lang.String itemID)` Sets pendingAction to AND_ACTION
`void` | `setClearAllFilter(java.lang.String all)` Sets the CLEARALL_ACTION as the pending action.
`void` | `setClearFilter(java.lang.String itemID)` Sets the CLEAR_ACTION as the pending action.
`void` | `setDeleteAllFilters(java.lang.String dummy)` Sets pendingAction to DELETEALL_ACTION
`void` | `setDeleteFilter(java.lang.String itemID)` Sets pendingAction to DELETE_ACTION
`void` | `setDownFilter(java.lang.String itemID)` Sets pendingAction to DOWN_ACTION
`void` | `setEditFilter(java.lang.String itemID)` Sets pendingAction to EDIT_ACTION
`protected void` | `setEditor(AdvancedFilterModelInterface filterModel, com.sas.swing.dataselectors.editors.EditorInterface editor)`
`protected void` | `setEditors(AdvancedFilterModelInterface filterModel, java.util.List editors)`
`protected void` | `setEditors(FilterableListModelInterface filterableList, java.util.List editors)`
`void` | `setEndCalendar(java.lang.String calendar)` Sets the end calendar value
`void` | `setFilterDescription(java.lang.String description)` Sets the filter description in the selection model.
`void` | `setFilterItem(java.lang.String itemID)` Sets the filter item
`void` | `setFilterItemMap(java.util.List list)` Sets the map for the FilterItemInterface instances in the data model.
`void` | `setFilterName(java.lang.String name)` Sets the filter name in the selection model.
`void` | `setFilterOperator(java.lang.String itemID)` Sets the filter operator value
`void` | `setFilterQualifier(java.lang.String itemID)` Sets the filter qualifier values
`void` | `setFilterValue(java.lang.String value)` Sets the filter value
`void` | `setFilterValueMax(java.lang.String value)` Sets the maximum filter value when condition is `In Between` or `Not In Between`
`void` | `setFilterValueMaxText(java.lang.String value)` Sets the maximum filter value when condition is `In Between` or `Not In Between`
`void` | `setFilterValueMin(java.lang.String value)` Sets the minimum filter value when condition is `In Between` or `Not In Between`
`void` | `setFilterValueMinText(java.lang.String value)` Sets the minimum filter value when condition is `In Between` or `Not In Between`
`void` | `setFilterValueText(java.lang.String value)` Sets the filter value for the text entry.
`void` | `setFilterValueTyped(java.lang.String value)` Sets the typed filter values
`void` | `setGroupFilter(java.lang.String items)` Sets pendingAction to GROUP_ACTION
`void` | `setImportFilter(java.lang.String itemID)`
`void` | `setNotFilter(java.lang.String itemID)` Sets pendingAction to NOT_ACTION
`void` | `setOlapOkAction(java.lang.String value)` Sets pendingAction to OLAPOK_ACTION
`void` | `setOrFilter(java.lang.String itemID)` Sets pendingAction to OR_ACTION
`void` | `setPendingAction(java.lang.String value)`
`void` | `setQualifiedMeasure(java.lang.String[] values)` Sets qualified measures
`void` | `setQualifierMode(java.lang.String itemID)` Sets pendingAction to QUALIFIER_ACTION
`void` | `setSelectedCondition(java.lang.String itemID)`
`void` | `setSelectedFilterValues(java.util.List values)` Sets the selected filter values
`void` | `setSelectedFilterValues(java.lang.String[] values)` Sets the selected filter values
`void` | `setSelectedQualifier(java.lang.String itemID)` Sets the selected qualifier on the command
`protected void` | `setSelection(FilterLogicTestNodeInterface selection)`
`void` | `setSplitFilter(java.lang.String itemID)` Sets pendingAction to SPLIT_ACTION
`void` | `setStartCalendar(java.lang.String calendar)` Sets the start calendar value
`void` | `setTypedFilterValueMax(java.lang.String value)` Sets the typed filter maximum value
`void` | `setTypedFilterValueMin(java.lang.String value)` Sets the typed minimum filter value.
`void` | `setTypedFilterValues(java.lang.String value)` Sets the typed filter values
`void` | `setUpdateFilter(java.lang.String itemID)` Sets pendingAction to UPDATE_ACTION
`void` | `setUpFilter(java.lang.String itemID)` Sets pendingAction to UP_ACTION
`void` | `setValueEntryType(java.lang.String type)`
`void` | `setValueListItem(java.lang.String itemID)` Sets the filter value list.
`void` | `setValuePickerUpdateAction(java.lang.String value)`
`void` | `setWhereCheckbox(java.lang.String state)`
`protected void` | `show(java.lang.Object o)` Creates the initial selector model from the stored data model and supplies it to the associated selector.
`protected boolean` | `updatable(FilterLogicEditableTestNodeInterface changableSelection)` Returns true if all required values for an update are available.
`boolean` | `updateSelectionCombination(AdvancedFilterModelInterface afsModel, FilterLogicEditableTestNodeInterface changableSelection, FilterLogicTestNodeObjectMap objectMap)` Updates the model with the combination actions such as ADD_ACTION, DELETE_ACTION, UPDATE_ACTION, EDIT_ACTION, MOVEUP_ACTION, MOVEDOWN_ACTION, GROUP_ACTION and SPLIT_ACTION.
`boolean` | `updateSelectionModel()` Updates the current selection model with the selector's value
`protected boolean` | `updateSelectionModel(FilterLogicEditableTestNodeInterface changableSelection, AdvancedFilterModelInterface afsModel)` Updates the selection model

Methods inherited from class com.sas.commands.dataselectors.BaseSelectorCommand
`cancel, closeSelector, execute, getEventInfo, getEventSource, getMode, getModel, getSelector, getSelectorModel, isComplete, isContentsChanged, isModal, setComplete, setModal, setMode, setModel, setSelector, setSelectorModel`

Methods inherited from class com.sas.commands.BaseCommand
`getLocale, getName, getNextCommandName, getText, isExecutable, isUndoable, setLocale, setName, setText, undo`

Methods inherited from class com.sas.entities.BaseEntity
`clone, containsAttributeNamed, equals, equals, getAttribute, getAttribute, getAttributeCount, getAttributes, getEntityKey, getPropertyDescriptors, getStringAttribute, listAttributeNames, removeAllAttributes, removeAttribute, reset, sameEntity, setAttribute, setAttributes, setEntityKey, toString`

Methods inherited from interface com.sas.entities.BaseEntityValueInterface
`getAttribute, setAttribute`

Methods inherited from interface com.sas.util.Command
`clone`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

  RB key for internationalization

  See Also:
    Constant Field Values

### RB_KEY2

    public static final java.lang.String RB_KEY2

See Also:
  Constant Field Values

### SELECTED_CONDITION

    public static final java.lang.String SELECTED_CONDITION

See Also:
  Constant Field Values

### ADD_ACTION

    public static final java.lang.String ADD_ACTION

  pendingAction value when the ADD_ACTION is executed.

  See Also:
    Constant Field Values

### UPDATE_ACTION

    public static final java.lang.String UPDATE_ACTION

  pendingAction value when the UPDATE_ACTION is executed.

  See Also:
    Constant Field Values

### DELETE_ACTION

    public static final java.lang.String DELETE_ACTION

  pendingAction value when the DELETE_ACTION is executed.

  See Also:
    Constant Field Values

### DELETEALL_ACTION

    public static final java.lang.String DELETEALL_ACTION

  pendingAction value when the DELETEALL_ACTION is executed.

  See Also:
    Constant Field Values

### SET_ACTION

    public static final java.lang.String SET_ACTION

  pendingAction value when the SET_ACTION is executed.

  See Also:
    Constant Field Values

### EDIT_ACTION

    public static final java.lang.String EDIT_ACTION

  pendingAction value when the EDIT_ACTION is executed.

  See Also:
    Constant Field Values

### AND_ACTION

    public static final java.lang.String AND_ACTION

  pendingAction value when the AND_ACTION is executed.

  See Also:
    Constant Field Values

### OR_ACTION

    public static final java.lang.String OR_ACTION

  pendingAction value when the OR_ACTION is executed.

  See Also:
    Constant Field Values

### NOT_ACTION

    public static final java.lang.String NOT_ACTION

  pendingAction value when the NOT_ACTION is executed.

  See Also:
    Constant Field Values

### SPLIT_ACTION

    public static final java.lang.String SPLIT_ACTION

  pendingAction value when the SPLIT_ACTION is executed.

  See Also:
    Constant Field Values

### GROUP_ACTION

    public static final java.lang.String GROUP_ACTION

  pendingAction value when the GROUP_ACTION is executed.

  See Also:
    Constant Field Values

### UP_ACTION

    public static final java.lang.String UP_ACTION

  pendingAction value when the UP_ACTION is executed.

  See Also:
    Constant Field Values

### DOWN_ACTION

    public static final java.lang.String DOWN_ACTION

  pendingAction value when the DOWN_ACTION is executed.

  See Also:
    Constant Field Values

### QUALIFIER_ACTION

    public static final java.lang.String QUALIFIER_ACTION

  pendingAction value when the QUALIFIER_ACTION is executed.

  See Also:
    Constant Field Values

### CLEAR_ACTION

    public static final java.lang.String CLEAR_ACTION

  pendingAction value when the CLEAR_ACTION is executed.

  See Also:
    Constant Field Values

### CLEARALL_ACTION

    public static final java.lang.String CLEARALL_ACTION

  pendingAction value when the CLEARALL_ACTION is executed.

  See Also:
    Constant Field Values

### CANCEL_ACTION

    public static final java.lang.String CANCEL_ACTION

  pendingAction value when the CANCEL_ACTION is executed.

  See Also:
    Constant Field Values

### OLAPOK_ACTION

    public static final java.lang.String OLAPOK_ACTION

  pendingAction value when the OLAPOK_ACTION is executed.

  See Also:
    Constant Field Values

### VALUEPICKER_UPDATE_ACTION

    public static final java.lang.String VALUEPICKER_UPDATE_ACTION

  pendingAction value when the VALUEPICKER_UPDATE_ACTION is executed.

  See Also:
    Constant Field Values

### IMPORT_ACTION

    public static final java.lang.String IMPORT_ACTION

  pendingAction value when the IMPORT_ACTION is executed.

  See Also:
    Constant Field Values

### FILTERITEM_CHANGED

    public static final java.lang.String FILTERITEM_CHANGED

  pendingAction value when the filter item changed.

  See Also:
    Constant Field Values

### CONDITION_CHANGED

    public static final java.lang.String CONDITION_CHANGED

  pendingAction value when the condition is changed.

  See Also:
    Constant Field Values

### QUALIFIER_CHANGED

    public static final java.lang.String QUALIFIER_CHANGED

  pendingAction value when the qualifier changed.

  See Also:
    Constant Field Values

### QUALIFIER_CHECKED

    public static final java.lang.String QUALIFIER_CHECKED

  pendingAction value when the qualifier is activated.

  See Also:
    Constant Field Values

### QUALIFIER_APPLIED

    public static final java.lang.String QUALIFIER_APPLIED

  pendingAction when the qualifier is applied

  See Also:
    Constant Field Values

### actionInfo

    protected java.util.HashMap actionInfo

  The action map

Constructor Detail

### AdvancedFilterSelectorCommand

    public AdvancedFilterSelectorCommand()

  The default constructor for this command.

### AdvancedFilterSelectorCommand

    public AdvancedFilterSelectorCommand(java.lang.String name)

  Constructor that accepts a command name.

  Parameters:
    `name` - the name of this command

### AdvancedFilterSelectorCommand

    public AdvancedFilterSelectorCommand(java.lang.String name,
                                         java.lang.String actionClass)

  Constructor that accepts a command name and an action class type.

  Parameters:
    `name` - the name of this command
    `actionClass` - the class name for the appropriate action

Method Detail

### show

    protected void show(java.lang.Object o)

  Creates the initial selector model from the stored data model and supplies it to the associated selector.

  Overrides:
    `show` in class `BaseSelectorCommand`
  Parameters:
    `o` - ignored in this implementation

### setEditors

    protected void setEditors(FilterableListModelInterface filterableList,
                              java.util.List editors)

### cleanUp

    protected void cleanUp()

### setEditors

    protected void setEditors(AdvancedFilterModelInterface filterModel,
                              java.util.List editors)

### setEditor

    protected void setEditor(AdvancedFilterModelInterface filterModel,
                             com.sas.swing.dataselectors.editors.EditorInterface editor)

### isSwing

    protected boolean isSwing()

### process

    protected void process(java.lang.Object o)

  Processes the request object to manipulate the model. The selector then represents these changes for the user.

  Overrides:
    `process` in class `BaseSelectorCommand`
  Parameters:
    `o` - ignored in this implementation

### cancel

    public void cancel(java.lang.Object o)

  The cancel method resets the model to its original state and hides or destroys the selector visual.

  Overrides:
    `cancel` in class `BaseSelectorCommand`
  Parameters:
    `o` - ignored in this implementation

### commit

    protected void commit(java.lang.Object o)
                   throws java.io.IOException

  The commit method alters the original model to reflect any changes made by the user and hides or destroys the selector visual.

  Overrides:
    `commit` in class `BaseSelectorCommand`
  Parameters:
    `o` - ignored in this implementation
  Throws:
    `java.io.IOException`

### setSelection

    protected void setSelection(FilterLogicTestNodeInterface selection)

### getSelection

    protected FilterLogicTestNodeInterface getSelection()

### updateSelectionModel

    public boolean updateSelectionModel()

  Updates the current selection model with the selector's value

  Returns:
    true if and update occurs, false otherwise

### updatable

    protected boolean updatable(FilterLogicEditableTestNodeInterface changableSelection)

  Returns true if all required values for an update are available.

  Parameters:
    `changableSelection` - the current selection model to update
  Returns:
    true if updateable, false otherwise

### updateSelectionModel

    protected boolean updateSelectionModel(FilterLogicEditableTestNodeInterface changableSelection,
                                           AdvancedFilterModelInterface afsModel)

  Updates the selection model

  Parameters:
    `changableSelection` - the current selection model
    `afsModel` - the model
  Returns:
    true if update occurs, false otherwise

### getCalendar

    protected java.util.List getCalendar(long type)

### getQualifierEditor

    protected com.sas.swing.dataselectors.editors.QualifiersEditorInterface getQualifierEditor()

  Returns the Qualifier Editor

  Returns:
    qualifier editor

### setQualifiedMeasure

    public void setQualifiedMeasure(java.lang.String[] values)

  Sets qualified measures

  Parameters:
    `values` - qualified measures

### getQualifiedMeasure

    public java.lang.String[] getQualifiedMeasure()

  Returns the qualified measure value used when the model is OLAP

  Returns:
    NULL

### updateSelectionCombination

    public boolean updateSelectionCombination(AdvancedFilterModelInterface afsModel,
                                              FilterLogicEditableTestNodeInterface changableSelection,
                                              FilterLogicTestNodeObjectMap objectMap)

  Updates the model with the combination actions such as ADD_ACTION, DELETE_ACTION, UPDATE_ACTION, EDIT_ACTION, MOVEUP_ACTION, MOVEDOWN_ACTION, GROUP_ACTION and SPLIT_ACTION.

  Parameters:
    `afsModel` - The AdvancedFilterModelInterface used for this command
    `changableSelection` - the editable test node
    `objectMap` - map containing the model information
  Returns:
    true if change has been made to the model, false otherwise

### getSelectionModel

    protected FilterLogicTestNodeInterface getSelectionModel()

  Returns the selection portion of the selector model if it is valid.

  Returns:
    a usable selection model or null

### setFilterName

    public void setFilterName(java.lang.String name)

  Sets the filter name in the selection model.

  Parameters:
    `name` - the new filter name

### getFilterName

    public java.lang.String getFilterName()

  Gets the current filter name from the selection model.

  Returns:
    the name of the filter

### setFilterDescription

    public void setFilterDescription(java.lang.String description)

  Sets the filter description in the selection model.

  Parameters:
    `name` - the new filter description

### getFilterDescription

    public java.lang.String getFilterDescription()

  Gets the current filter description from the selection model.

  Returns:
    the description for the filter

### setSelectedQualifier

    public void setSelectedQualifier(java.lang.String itemID)

  Sets the selected qualifier on the command

  Parameters:
    `itemID` - the selected qualifier value

### getSelectedQualifier

    public java.lang.String getSelectedQualifier()

  Returns the selected qualifier

  Returns:
    the qualifier value

### setSelectedCondition

    public void setSelectedCondition(java.lang.String itemID)

### getSelectedCondition

    public java.lang.String getSelectedCondition()

### setSelectedFilterValues

    public void setSelectedFilterValues(java.lang.String[] values)

  Sets the selected filter values

  Parameters:
    `values` - filter values

### setSelectedFilterValues

    public void setSelectedFilterValues(java.util.List values)

  Sets the selected filter values

  Parameters:
    `values` - filter values

### getFilterValueObject

    protected java.lang.Object getFilterValueObject(java.lang.String uniqueId,
                                                    AdvancedFilterModelInterface afsModel)

### getSelectedFilterValues

    public java.lang.String[] getSelectedFilterValues()

  Returns the selected filter values

  Returns:
    the selected filter values

### setFilterValue

    public void setFilterValue(java.lang.String value)

  Sets the filter value

  Parameters:
    `value` - filter value

### getFilterValue

    public java.lang.String getFilterValue()

  Returns the filter value.

  Returns:
    NULL

### setFilterValueText

    public void setFilterValueText(java.lang.String value)

  Sets the filter value for the text entry.

  Parameters:
    `value` - filter value

### getFilterValueText

    public java.lang.String getFilterValueText()

  Returns the filter value for the text entry.

  Returns:
    NULL

### setFilterValueMax

    public void setFilterValueMax(java.lang.String value)

  Sets the maximum filter value when condition is `In Between` or `Not In Between`

  Parameters:
    `value` - the filter value

### getFilterValueMax

    public java.lang.String getFilterValueMax()

  Returns the maximum filter value

  Returns:
    NULL

### setFilterValueMin

    public void setFilterValueMin(java.lang.String value)

  Sets the minimum filter value when condition is `In Between` or `Not In Between`

  Parameters:
    `value` - the filter value

### getFilterValueMin

    public java.lang.String getFilterValueMin()

  Returns the minimum filter value.

  Returns:
    the minimum filter value

### setFilterValueMaxText

    public void setFilterValueMaxText(java.lang.String value)

  Sets the maximum filter value when condition is `In Between` or `Not In Between`

  Parameters:
    `value` - the filter value

### getFilterValueMaxText

    public java.lang.String getFilterValueMaxText()

  Returns the maximum filter value

  Returns:
    NULL

### setFilterValueMinText

    public void setFilterValueMinText(java.lang.String value)

  Sets the minimum filter value when condition is `In Between` or `Not In Between`

  Parameters:
    `value` - the filter value

### getFilterValueMinText

    public java.lang.String getFilterValueMinText()

  Returns the minimum filter value.

  Returns:
    the minimum filter value

### setTypedFilterValues

    public void setTypedFilterValues(java.lang.String value)

  Sets the typed filter values

  Parameters:
    `value` - filter values

### getTypedFilterValues

    public java.lang.String getTypedFilterValues()

  Returns the typed filter values

  Returns:
    NULL

### setFilterValueTyped

    public void setFilterValueTyped(java.lang.String value)

  Sets the typed filter values

  Parameters:
    `value` - typed value

### getFilterValueTyped

    public java.lang.String getFilterValueTyped()

  Returns the typed filter value

  Returns:
    returns null

### setTypedFilterValueMax

    public void setTypedFilterValueMax(java.lang.String value)

  Sets the typed filter maximum value

  Parameters:
    `value` - the maximum value

### getTypedFilterValueMax

    public java.lang.String getTypedFilterValueMax()

  Returns the typed maximum filter value.

  Returns:
    the filter maximum filter value

### setTypedFilterValueMin

    public void setTypedFilterValueMin(java.lang.String value)

  Sets the typed minimum filter value.

  Parameters:
    `value` - the minimum filter value

### getTypedFilterValueMin

    public java.lang.String getTypedFilterValueMin()

  Returns the typed filter minimum value.

  Returns:
    NULL

### setValueListItem

    public void setValueListItem(java.lang.String itemID)

  Sets the filter value list.

  Parameters:
    `itemID` - filter value unique id

### getValueListItem

    public java.lang.String getValueListItem()

  Returns the filter value list

  Returns:
    null

### setFilterItem

    public void setFilterItem(java.lang.String itemID)

  Sets the filter item

  Parameters:
    `itemID` - filterItem unique id

### getFilterItem

    public java.lang.String getFilterItem()

  Returns the filter item

  Returns:
    NULL

### setFilterQualifier

    public void setFilterQualifier(java.lang.String itemID)

  Sets the filter qualifier values

  Parameters:
    `itemID` - filter qualifier

### getFilterQualifier

    public java.lang.String getFilterQualifier()

  Returns the filter qualifier value

  Returns:
    filter qualifier

### setFilterOperator

    public void setFilterOperator(java.lang.String itemID)

  Sets the filter operator value

  Parameters:
    `itemID` - filter operator

### getFilterOperator

    public java.lang.String getFilterOperator()

  Returns the filter operator

  Returns:
    the filter operator value

### setAddFilter

    public void setAddFilter(java.lang.String value)

  Sets pendingAction to ADD_ACTION

  Parameters:
    `value` - pendingAction value

### getAddFilter

    public java.lang.String getAddFilter()

  Returns the ADD_ACTION

  Returns:
    NULL

### setUpdateFilter

    public void setUpdateFilter(java.lang.String itemID)

  Sets pendingAction to UPDATE_ACTION

  Parameters:
    `value` - pendingAction value

### getUpdateFilter

    public java.lang.String getUpdateFilter()

  Returns the UPDATE_FILTER action.

  Returns:
    NULL

### setEditFilter

    public void setEditFilter(java.lang.String itemID)

  Sets pendingAction to EDIT_ACTION

  Parameters:
    `value` - pendingAction value

### getEditFilter

    public java.lang.String getEditFilter()

  Returns the EDIT_ACTION

  Returns:
    NULL

### setDeleteFilter

    public void setDeleteFilter(java.lang.String itemID)

  Sets pendingAction to DELETE_ACTION

  Parameters:
    `value` - pendingAction value

### getDeleteFilter

    public java.lang.String getDeleteFilter()

  Returns the DELETE_ACTION

  Returns:
    NULL

### setDeleteAllFilters

    public void setDeleteAllFilters(java.lang.String dummy)

  Sets pendingAction to DELETEALL_ACTION

  Parameters:
    `value` - pendingAction value

### getDeleteAllFilters

    public java.lang.String getDeleteAllFilters()

  Returns the DELETEALL_ACTION

  Returns:
    NULL

### setAndFilter

    public void setAndFilter(java.lang.String itemID)

  Sets pendingAction to AND_ACTION

  Parameters:
    `value` - pendingAction value

### getAndFilter

    public java.lang.String getAndFilter()

  Returns the AND_ACTION

  Returns:
    NULL

### setOrFilter

    public void setOrFilter(java.lang.String itemID)

  Sets pendingAction to OR_ACTION

  Parameters:
    `value` - pendingAction value

### getOrFilter

    public java.lang.String getOrFilter()

  Returns the OR_ACTION

  Returns:
    NULL

### setNotFilter

    public void setNotFilter(java.lang.String itemID)

  Sets pendingAction to NOT_ACTION

  Parameters:
    `value` - pendingAction value

### getNotFilter

    public java.lang.String getNotFilter()

  Returns the NOT_ACTION

  Returns:
    NULL

### setGroupFilter

    public void setGroupFilter(java.lang.String items)

  Sets pendingAction to GROUP_ACTION

  Parameters:
    `value` - pendingAction value

### getGroupFilter

    public java.lang.String getGroupFilter()

  Returns the GROUP_ACTION

  Returns:
    NULL

### setSplitFilter

    public void setSplitFilter(java.lang.String itemID)

  Sets pendingAction to SPLIT_ACTION

  Parameters:
    `value` - pendingAction value

### getSplitFilter

    public java.lang.String getSplitFilter()

  Returns the OLAPOK_ACTION

  Returns:
    NULL

### setUpFilter

    public void setUpFilter(java.lang.String itemID)

  Sets pendingAction to UP_ACTION

  Parameters:
    `value` - pendingAction value

### getUpFilter

    public java.lang.String getUpFilter()

  Returns the UP_ACTION

  Returns:
    NULL

### setDownFilter

    public void setDownFilter(java.lang.String itemID)

  Sets pendingAction to DOWN_ACTION

  Parameters:
    `value` - pendingAction value

### getDownFilter

    public java.lang.String getDownFilter()

  Returns the DOWN_ACTION

  Returns:
    NULL

### setQualifierMode

    public void setQualifierMode(java.lang.String itemID)

  Sets pendingAction to QUALIFIER_ACTION

  Parameters:
    `value` - pendingAction value

### getQualifierMode

    public java.lang.String getQualifierMode()

  Returns the OLAPOK_ACTION

  Returns:
    NULL

### setOlapOkAction

    public void setOlapOkAction(java.lang.String value)

  Sets pendingAction to OLAPOK_ACTION

  Parameters:
    `value` - pendingAction value

### setValuePickerUpdateAction

    public void setValuePickerUpdateAction(java.lang.String value)

### getOlapOkAction

    public java.lang.String getOlapOkAction()

  Returns the OLAPOK_ACTION

  Returns:
    NULL

### getValuePickerUpdateAction

    public java.lang.String getValuePickerUpdateAction()

  Returns the OLAPOK_ACTION

  Returns:
    NULL

### setAction

    public void setAction(java.lang.String value)

  Sets the current action of the selector command.

  Parameters:
    `value` - the action being executed

### getAction

    public java.lang.String getAction()

  Returns the current action of the selector command.

  Returns:
    the current action

### setClearFilter

    public void setClearFilter(java.lang.String itemID)

  Sets the CLEAR_ACTION as the pending action.

  Parameters:
    `itemID` - the CLEAR_ACTION value

### getClearFilter

    public java.lang.String getClearFilter()

  Returns the clearFilter action value.

  Returns:
    null

### setClearAllFilter

    public void setClearAllFilter(java.lang.String all)

  Sets the CLEARALL_ACTION as the pending action.

  Parameters:
    `all` -

### getClearAllFilter

    public java.lang.String getClearAllFilter()

  Returns the clearAllFilter action value

  Returns:
    null

### setImportFilter

    public void setImportFilter(java.lang.String itemID)

### getImportFilter

    public java.lang.String getImportFilter()

### getStartCalendar

    public java.lang.String getStartCalendar()

  Return the start calendar value

  Returns:
    startCalendar value

### setStartCalendar

    public void setStartCalendar(java.lang.String calendar)

  Sets the start calendar value

  Parameters:
    `calendar` - start calendar

### getEndCalendar

    public java.lang.String getEndCalendar()

  Return the end calendar value

  Returns:
    endCalendar value

### setEndCalendar

    public void setEndCalendar(java.lang.String calendar)

  Sets the end calendar value

  Parameters:
    `calendar` - end calendar

### getValueEntryType

    public java.lang.String getValueEntryType()

### setValueEntryType

    public void setValueEntryType(java.lang.String type)

### getChangableSelectionModel

    protected FilterLogicEditableTestNodeInterface getChangableSelectionModel()

  Returns a version of the selection model that is modifiable.

  Returns:
    a changeable selection model

### getChangableSelectionModel

    protected FilterLogicEditableTestNodeInterface getChangableSelectionModel(FilterLogicTestNodeInterface node)

### getID

    protected static java.lang.String getID(java.lang.Object object)

### isOlap

    protected boolean isOlap()

### getFilterItemMap

    public java.util.Map getFilterItemMap()

  Gets the map for the FilterItemInterface instances in the data model.

  Returns:
    the FilterItemInterface map

### setFilterItemMap

    public void setFilterItemMap(java.util.List list)

  Sets the map for the FilterItemInterface instances in the data model.

  Parameters:
    `map` - the new FilterItemInterface map

### getValidatedModel

    public AdvancedFilterModelInterface getValidatedModel(boolean updateSelector)

### getCommandStatus

    public int getCommandStatus(ActionSupportFilter filter)

  Returns a int value indicating whether the command is enabled for the given area as specified by the current area information encapsulate in the ActionSupportFilter. If not enabled, the key indicates a reason why the command is not enabled.

  Specified by:
    `getCommandStatus` in interface `CommandStatusInterface`
  Parameters:
    `filter` - The ActionSupportFilter that encapsulates all the necessary information to describe the current area.
  Returns:
    an int value indicating whether the command is enabled and, if not, why.
  See Also:
    `BaseAction.setReturnStatus(int)`

### isSupported

    public boolean isSupported(ActionSupportFilter actionFilter)

  Returns TRUE if the command is supported given the contents of the support filter.

  Specified by:
    `isSupported` in interface `CommandSupportedInterface`
  Parameters:
    `actionFilter` - The ActionSupportFilter that encapsulates all the necessary information to describe the current area.
  Returns:
    a boolean indicating whether the command is supported
  See Also:
    `BaseAction.setReturnStatus(int)`

### getPendingAction

    public java.lang.String getPendingAction()

### setPendingAction

    public void setPendingAction(java.lang.String value)

### getCurrentValidatedModel

    public AdvancedFilterModelInterface getCurrentValidatedModel()

### setWhereCheckbox

    public void setWhereCheckbox(java.lang.String state)

### getWhereCheckbox

    public java.lang.String getWhereCheckbox()

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.